Tur-Vacation 1.9+ comes with MSS integration.

If you do not use MSS, set USEMSS=FALSE in the script and dont bother reading on =)

With this integration, you can load tur-vacation.sh as a custom
command on both the hub and all slaves if you so choose.

Even if you only want it executed on the hub, it can still create the actionfiles
needed for near instant sync to the slaves.

This is also good if the users have no access to your hub and can
only reach the slaves. Now you can run tur-vacation anyway.

#----------
Requirements for this system is that you have a working mss-report
system running with mss-report.sh crontabbed on the hub. Why? Because
we need to read the list created by it, by default:
/glftpd/etc/msslogs/mss-slavestatus.db

The slave needs that file since it cant reach /glftpd/bin/mss-hub.conf on
the hub to read the list of defined slaves.

If you dont run mss-report.sh but want to use this system anyway, you can create that
file and maintain the list of slaves there too.
The file should contain:
**SLAVES=Slave1 Slave2 Slave3 etc
Should be written EXACTLY like that, with the ** and do NOT use "" or anything.
#----------

Two commands in tur-vacation.sh to deal with this:
USEMSS=TRUE
MSSCONFIG="/bin/mss-hub.conf"

USEMSS is pretty self explaining. Set it to TRUE.

MSSCONFIG should point to the config file for MSS.
Since tur-vacation.sh runs from within glftpd and glftpd runs
chrooted (as if you executed 'chroot /glftpd' from shell), it should be
set to the chrooted path, ie no /glftpd.

The MSSCONFIG should be either /bin/mss-hub.conf or /bin/mss-slave.conf and this 
script will figure out on its own if its the hub or slave by the name.

Anyway, heres how it works.

Some settings in tur-vacation.sh will be overridden by hardcoded
paths. This is to ensure that the files are in an location that can
be read by both the hub and slave.
The hardcoded paths are the same as the default values in tur-vacation.sh
so you should be fine if upgrading from a previous version.


When running on the HUB:
 It will read the userslocation from mss-hub.conf so USERS= in 
 this script wont be used. Leave it at default anyway (not empty).

 DB= will be hardcoded to /etc/quota_vacation.db (seen chrooted)

 The ACTIONS directory, where it stores actionfiles will be hardcoded
 to /etc (seen chrooted)

 If TRIALDATA is defined (tur-trial integration) that will be
 hardcoded to /etc/quota_vacation.db

 It will then run as normal, editing the userfile on the hub
 and creating actionfiles for each slave (which it reads from
 mss-hub.conf) so that the slaves update the user accordingly
 when the next crontab run for 'mss-core.sh actionfile' executes.


When running on a SLAVE:
 A bit more happens here. Basically it edits the userfile 
 directly on the hub and creates actionfiles for each defined slave.

 First, it will check that the defined VERIFYUSER (in mss-slave.conf)
 can be read. If not, it will tell the user that the link to the hub
 seems to be down and to try again later.

 Secondly, DB will be hardcoded to $PASSWDSOURCE/vacation.index
 It reads PASSWDSOURCE from mss-slave.conf.

 TRIALDATA, if set, will be hardcoded to $PASSWDSOURCE/quota_vacation.db 
 It reads PASSWDSOURCE from mss-slave.conf.

 GLLOG will be hardcoded to $FTP_DATA_EXT/logs/glftpd.log
 It reads FTP_DATA_EXT from mss-slave.conf
 This means you do NOT have to modify the dZSbot.tcl on your slaves since
 it will write to the logfile on the hub directly. Only the hub needs
 the modification (see tur-vacation.sh).

 ACTIONS will be hardcoded to $FTP_DATA_EXT

 If will then try to find $FETCHLOGSDIR/mss-slavestatus.db
 It reads FETCHLOGSDIR from mss-slave.conf
 This is the file created by mss-report.sh on the hub. Since we cant reach
 files in /glftpd/bin on the hub, we cant tell which SLAVES are defined and
 we need to know that if were to make actionfiles for them.
 So, we read that file instead to get a list of defined slaves.

 Then, when a user triggers a vacation on or off from the slave, it will edit
 the userfile on the hub and create the actionfiles. The slaves (including the
 one he issued the vacation command on) will sync this information once it runs
 mss-core.sh actionfile in the crontab.
